## org.freedesktop.NetworkManager.Device.Macvlan org.freedesktop.NetworkManager.Device.Macvlan — MAC VLAN Device |

## Properties

    Parent     readable   o
    Mode       readable   s
    NoPromisc  readable   b
    Tap        readable   b

## Description

## Property Details

### The "Parent" property

    Parent  readable   o

The object path of the parent device.

### The "Mode" property

    Mode  readable   s

The macvlan mode, one of "private", "vepa", "bridge", or "passthru".

### The "NoPromisc" property

    NoPromisc  readable   b

Whether the device is blocked from going into promiscuous mode.

### The "Tap" property

    Tap  readable   b

Whether the device is a macvtap.